Bug 816753 - DOC: systemd.directives should be linked up better
DOC: systemd.directives should be linked up better
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-26 17:27 EDT by Bill Nottingham
Modified: 2014-03-16 23:30 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 14:38:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2012-04-26 17:27:33 EDT
Description of problem:

If you're looking for documentation in the man pages on unit file parameters, you either have to already know what type of unit file it applies to, or keep guessing man pages until you find the right one.

For example:
- Requisite is in "unit"
- ExecStart is in "service"
- RootDirectory for that ExecStart is in "exec"

etc.

Version-Release number of selected component (if applicable):

systemd-44-6.fc17

How reproducible:

100%

Additional info:

Maybe simpler would be to have one large .unit man page that the others link to, which describes all the unit parameters, with sections for ones for each type.
Comment 1 Lennart Poettering 2013-01-14 17:27:23 EST
We have "systemd.directives" since a while which lists all directives in one page. I guess we should link it up better though, so that people actually know...
Comment 2 Zbigniew Jędrzejewski-Szmek 2013-04-10 11:49:02 EDT
There's a link now from http://www.freedesktop.org/software/systemd/man/index.html and in some manpages. I guess that this can be closed.
Comment 3 Lennart Poettering 2013-04-15 13:22:22 EDT
Hmm, we suould always make sure that everythin listed in systemd.directives also links back to systemd.directives. But afaics all files do that. So closing now.
Comment 4 Fedora End Of Life 2013-07-04 02:57:53 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 14:39:03 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.